<?php
namespace Modules\Documents\DocumentsList;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
 		$options

 		// DOWNLOAD
 		->append(\App\Mvc\View\Utils\RowOptions\Option\Window::create("downloadFile")
 			->setDescription($this->lang['index']['options']['description']['downloadFile'])
 			->setAction('downloadFile')
 			->setKeyForCurrentRow('id')
 			->setIcon('export')
 		)


 		// DELETE
		->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
			->setDescription($this->lang['index']['options']['description']['delete'])
		);
	}
}